catchmark

see the `catchmark` page for the full documentation More...

## Public Member Functions

| catchmark (const std::string &x)
const std::string & | mark () const

## Protected Attributes

std::string | _mark

## Detailed Description

see the `catchmark` page for the full documentation

Definition at line 67 of file catchmark.h.

## Constructor & Destructor Documentation

## catchmark()

catchmark | ( | const std::string & | x | ) |

Definition at line 82 of file catchmark.h.

## Member Function Documentation

## mark()

const std::string& mark | ( |  | ) | const

Definition at line 70 of file catchmark.h.

## Member Data Documentation

## _mark

std::string _mark

protected

Definition at line 75 of file catchmark.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/util/lib/catchmark.h